//******************************************************************************
// ADOBE CONFIDENTIAL
// ___________________
//
//  Copyright 2014 Adobe Systems Incorporated
//  All Rights Reserved.
//
// NOTICE:  All information contained herein is, and remains
// the property of Adobe Systems Incorporated and its suppliers,
// if any.  The intellectual and technical concepts contained
// herein are proprietary to Adobe Systems Incorporated and its
// suppliers and may be covered by U.S. and Foreign Patents,
// patents in process, and are protected by trade secret or copyright law.
// Dissemination of this information or reproduction of this material
// is strictly forbidden unless prior written permission is obtained
// from Adobe Systems Incorporated.
//******************************************************************************

package com.adobe.cq.dam.s7imaging;

import com.adobe.cq.dam.aod.replication.DamLayout;
import com.adobe.cq.dam.s7imaging.config.DynamicMediaConfig;
import com.scene7.is.catalog.CatalogAttributes;
import com.scene7.is.util.Size;
import com.scene7.is.util.SizeInt;
import org.apache.sling.api.resource.Resource;
import org.apache.sling.api.resource.ResourceResolver;
import org.apache.sling.api.resource.ValueMap;
import org.apache.sling.tenant.Tenant;
import scala.Option;

import static com.adobe.cq.dam.s7imaging.impl.cs.NodeToCatalogConverter.toCatalog;
import static com.scene7.is.ps.provider.parsers.MaxPixConverter.maxPixConverter;

/**
 * Access to the Dynamic Media configuration settings.
 */
public class S7Catalog {

    /**
     * Derive the content root for the given tenant.
     *
     * @param tenant Tenant instance (optional)
     * @return Content root path
     */
    public static String getContentRoot(Tenant tenant) {
		return null;
	}

    /**
     * Retrieve the Image Serving catalog settings (multi-tenant capable)
     *
     * @param resolver Resource resolver
     * @param contentRoot Content root for the tenant
     * @return Catalog settings
     */
    public static ValueMap getSettings(ResourceResolver resolver, String contentRoot) {
		return null;
	}

    /**
     * Retrieve the maximum pixels setting from the value map.
     *
     * @param map Value map
     * @return Maximum pixels setting
     */
    public static int[] getMaxPixels(ValueMap map) {
		return null;
	}

    public static CatalogAttributes getCatalog(Resource resource, String rootId) {
		return null;
	}

    /**
     * Retrieve the tenant id associated with the specified resource path.
     */
    public static String getTenantId(ResourceResolver resourceResolver, String path) {
		return null;
	}

}
