/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2012 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.adobe.cq.history.utils;

import org.apache.commons.lang.ArrayUtils;

import java.io.*;
import java.nio.ByteBuffer;
import java.nio.channels.FileChannel;

public class ReverseFileReader {
    private static final int BUFFER_SIZE = 8192;

    private final RandomAccessFile randomAccessFile;
    private long filePosition;
    private final String encoding;

    private ByteBuffer buffer;
    private int bufferPosition;
    private byte lastLineBreak = '\n';
    private ByteArrayOutputStream baos = new ByteArrayOutputStream();

    public ReverseFileReader(File file, String encoding) throws IOException {
        this.randomAccessFile = new RandomAccessFile(file, "r");
        this.filePosition = randomAccessFile.length() - 1;
        this.encoding = encoding;
    }

    public String readLine() throws IOException {
		return null;
	}

    private String readLineFromBuffer() throws UnsupportedEncodingException {
		return null;
	}

    public void close() {
	}
}
