/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2012 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.adobe.cq.searchcollections.qom;

import java.util.HashSet;
import java.util.Set;

import javax.jcr.query.Query;
import javax.jcr.query.qom.And;
import javax.jcr.query.qom.BindVariableValue;
import javax.jcr.query.qom.Column;
import javax.jcr.query.qom.Comparison;
import javax.jcr.query.qom.Constraint;
import javax.jcr.query.qom.Not;
import javax.jcr.query.qom.Or;
import javax.jcr.query.qom.Ordering;
import javax.jcr.query.qom.QueryObjectModel;
import javax.jcr.query.qom.Source;

public abstract class AbstractQueryObjectModel
        extends AbstractQuery implements QueryObjectModel {

    private final Source source;

    private final Constraint constraint;

    private final Ordering[] orderings;

    private final Column[] columns;

    protected AbstractQueryObjectModel(
            Source source, Constraint constraint,
            Ordering[] orderings, Column[] columns) {
        super(null, Query.JCR_JQOM, getBindVariableNames(constraint));
        this.source = source;
        this.constraint = constraint;
        this.orderings = orderings;
        this.columns = columns;
    }

    public String getStatement() {
		return null;
	}

    public Source getSource() {
		return null;
	}

    public Constraint getConstraint() {
		return null;
	}

    public Ordering[] getOrderings() {
		return null;
	}

    public Column[] getColumns() {
		return null;
	}

    private static String[] getBindVariableNames(Constraint constraint) {
		return null;
	}

    private static void collectBindVariableNames(
            Set<String> names, Constraint constraint) {
			}

}