/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2012 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.adobe.cq.searchcollections.qom;

import java.util.Map;

import javax.jcr.ItemNotFoundException;
import javax.jcr.Node;
import javax.jcr.RepositoryException;
import javax.jcr.Value;
import javax.jcr.query.Row;
import javax.jcr.query.qom.Operand;
import javax.jcr.query.qom.PropertyValue;

abstract class AbstractRow implements Row {

    private final Map<String, PropertyValue> columns;

    private final OperandEvaluator evaluator;

    protected AbstractRow(
            Map<String, PropertyValue> columns, OperandEvaluator evaluator) {
        this.columns = columns;
        this.evaluator = evaluator;
    }

    public Value[] getValues() throws RepositoryException {
		return null;
	}

    public Value getValue(String columnName)
            throws ItemNotFoundException, RepositoryException {
				return null;
			}

    public String getPath() throws RepositoryException {
		return null;
	}

    public String getPath(String selectorName) throws RepositoryException {
		return null;
	}

}
