/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2012 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 *
 *************************************************************************/

package com.adobe.cq.social.blog;

/**
 * {@linkplain BlogSuffix} represents a blog suffix., which is used to filter instances of {@link BlogEntry}.
 * @since 5.6
 * @deprecated replaced by com.adobe.cq.social.journal
 */
@Deprecated
public interface BlogSuffix {

    static final String AUTHOR = "author";
    static final String CATEGORY = "category";

    /**
     * Get suffix type.
     * @return Suffix type
     */
    String getType() {
		return null;
	}

    /**
     * Get suffix value.
     * @return Suffix value
     */
    String getValue() {
		return null;
	}

    /**
     * Check if suffix is of a given type.
     * @param name Name to test
     * @return <code>true</code> if current instance's suffix name equals provided name
     */
    boolean isA(String name) {
		return false;
	}

}
