/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2013 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.adobe.cq.social.group.client.api;

import com.adobe.cq.social.scf.SocialComponent;

public interface CommunityGroup extends SocialComponent {

    String RESOURCE_TYPE = "social/group/components/hbs/communitygroups/communitygroup";
    String COMMUNITYGROUP_IMAGE_PATH = "/photos/image";
    String COMMUNITYGROUP_IMAGE_WIDTH = "170";
    String COMMUNITYGROUP_IMAGE_HEIGHT = "90";
    String COMMUNITYGROUP_IMAGE_THUMB_OPERATOR = "thumb";
    String COMMUNITYGROUP_IMAGE_EXTENSION = ".jpg";

    String getTitle() {
		return null;
	}

    String getName() {
		return null;
	}

    String getCreator() {
		return null;
	}

    String getPagePath() {
		return null;
	}

    String getImageURL() {
		return null;
	}

    String getDescription() {
		return null;
	}

    String getBlueprintId() {
		return null;
	}

    String getType() {
		return null;
	}

    String getMemberGroupId() {
		return null;
	}

    boolean isLoggedInAsMember() {
		return false;
	}

    boolean isLoggedInAsAdmin() {
		return false;
	}
}
