/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2013 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.adobe.cq.social.messaging.api;

import javax.annotation.Nonnull;

/**
 * Calculates cost of the social messages.
 * @deprecated @since AEM 6.1.
 */
@Deprecated
public interface MessageCostComputeService {

    /**
     * @param context {@link ComputeContext} corresponding to the message whose size is calculated.
     * @return size in bytes.
     */
    long getSize(@Nonnull final ComputeContext context) {
		return 0L;
	}

    /**
     * @param computeContext {@link ComputeContext}
     * @return {@code true} iff the current instance computes the passed context.
     */
    boolean accept(@Nonnull final ComputeContext computeContext) {
		return false;
	}

}
