/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2014 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/

package com.adobe.cq.social.ugcbase.moderation;

import org.apache.sling.api.resource.Resource;

/**
 * Interface for building Auto-moderation processes.
 */
public interface AutoModerationProcess {

    /**
     * Executes the auto-moderate action.
     * @param resource the resource to a user generated content.
     */
    void execute(Resource resource) throws AutoModerationProcessException {
	}
}
