/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2013 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 *************************************************************************/

package com.adobe.granite.ocs.api;

import aQute.bnd.annotation.ProviderType;
import org.apache.sling.api.resource.ValueMap;

/**
 * Access to central ocs configs.
 */
@ProviderType
public interface OCSConfig {

    /**
     * @return
     */
    public ValueMap getProperties() {
		return null;
	}

    /**
     * @return
     */
    public String getOCSRoot() {
		return null;
	}

    /**
     * @return
     */
    public String getOCSLifecycleUser() {
		return null;
	}

    /**
     * @return
     */
    public String getDownloadUrl() {
		return null;
	}

    /**
     * @return
     */
    public String getDeployLifeCycle() {
		return null;
	}

    public String getUndeployLifeCycle() {
		return null;
	}

}
