/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2014 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.adobe.granite.rest.utils;

import java.net.URI;

import org.apache.commons.lang.StringUtils;
import org.apache.sling.api.request.RequestPathInfo;

/**
 * The {@code URIUtils} provides helper methods around working with URIs.
 */
public final class URIUtils {

    private URIUtils() {
        
    }

    /**
     * Relativizes the specified {@code resourcePath} against
     * {@code requestPathInfo}.
     * <p>
     * 
     * @param requestPathInfo RequestPathInfo to relativize against
     * @param resourcePath Resource path to relativize
     * @return The resulting path
     */
    public static String relativize(RequestPathInfo requestPathInfo, String resourcePath) {
		return null;
	}

    /**
     * Checks if {@code resourcePath} is part of the {@code requestPath}.
     * 
     * @param requestPath
     * @param resourcePath
     * @return
     */
    private static boolean isParent(String requestPath, String resourcePath) {
		return false;
	}

}
