/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2014 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.adobe.granite.translation.connector.msft.core;

public interface MicrosoftTranslationCloudConfig {

    public static final String PROPERTY_CLIENT_ID = "clientid";
    public static final String PROPERTY_CLIENT_SECRET = "clientsecret";
    public static final String PROPERTY_TRANSLATION_SERVICE_LABEL = "servicelabel";
    public static final String PROPERTY_TRANSLATION_SERVICE_ATTRIBUTION = "serviceattribution";
    public static final String PROPERTY_TRANSLATION_WORKSPACE_ID = "workspaceId";

    public static final String RESOURCE_TYPE = "cq/translation/components/msft/msft-cloudconfig";
    public static final String ROOT_PATH = "/etc/cloudservices/msft-translation";

    String getClientId() {
		return null;
	}

    String getClientSecret() {
		return null;
	}

    String getServiceLabel() {
		return null;
	}

    String getServiceAttribution() {
		return null;
	}

    String getWorkspaceId() {
		return null;
	}

}