/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2012 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.adobe.granite.ui.tags;

import java.io.IOException;

import javax.servlet.ServletRequest;
import javax.servlet.jsp.JspException;
import javax.servlet.jsp.JspWriter;
import javax.servlet.jsp.PageContext;
import javax.servlet.jsp.tagext.TagSupport;

import org.apache.sling.api.SlingHttpServletRequest;
import org.apache.sling.api.scripting.SlingBindings;
import org.apache.sling.scripting.jsp.util.TagUtil;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import com.adobe.granite.ui.clientlibs.HtmlLibraryManager;

/**
 * Implements the <code>&lt;ui:includeClientLib/&gt;</code> tag, a convenience
 * wrapper for the {@link HtmlLibraryManager} service.
 */
public class IncludeClientLibraryTag extends TagSupport {
    
    private static final long serialVersionUID = -3068291967085012331L;

    private static final Logger log = LoggerFactory.getLogger(IncludeClientLibraryTag.class);

    private String categories;
    private String js;
    private String css;
    private String theme;
    private Boolean themed;

    @Override
    public void setPageContext(PageContext pageContext) {
	}

    public void setCategories(String categories) {
	}
    
    public void setJs(String js) {
	}
    
    public void setCss(String css) {
	}
    
    public void setTheme(String theme) {
	}
    
    public void setThemed(boolean themed) {
	}

    @Override
    public int doEndTag() throws JspException {
		return 0;
	}

    private HtmlLibraryManager getHtmlLibraryManager(ServletRequest request) {
		return null;
	}
    
    private static String[] toArray(String commaSeparatedList) {
		return null;
	}
}
