/*
 * Copyright 1997-2011 Day Management AG
 * Barfuesserplatz 6, 4001 Basel, Switzerland
 * All Rights Reserved.
 *
 * This software is the confidential and proprietary information of
 * Day Management AG, ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Day.
 */

package com.day.cq.activitystreams.api;

/**
 * @deprecated See {@link com.adobe.granite.activitystreams.ActivityStream}.
 */
public interface NameConstants {
    /**
     * Activity resource type
     */
    public static final String RESOURCE_TYPE_ACTIVITY = "cq/activitystreams/components/activity";

    /**
     * Activity object resource type
     */
    public static final String RESOURCE_TYPE_ACTIVITY_OBJECT = "cq/activitystreams/components/activity/object";

    /**
     * Activity target resource type
     */
    public static final String RESOURCE_TYPE_ACTIVITY_TARGET = "cq/activitystreams/components/activity/target";

    /**
     * title property name
     */
    public static final String KEY_TITLE = "title";

    /**
     * description property name
     */

    public static final String KEY_DESCRIPTION = "description";

    /**
     * content property name
     */

    public static final String KEY_CONTENT = "content";

    /**
     * verb property name
     */
    public static final String KEY_VERB = "verb";

    /**
     * link property name
     */
    public static final String KEY_LINK = "link";

    /**
     * created property name
     */
    public static final String KEY_CREATED = "created";

    /**
     * createdBy property name
     */
    public static final String KEY_CREATED_BY = "createdBy";

    /**
     * objects property name
     */
    public static final String KEY_OBJECTS = "objects";

    /**
     * targets property name
     */
    public static final String KEY_TARGETS = "targets";

    /**
     * streamName property name
     */
    public static final String KEY_STREAM_NAME = "streamName";

    /**
     * noCache property name
     */
    public static final String KEY_NO_CACHE = "noCache";

    /**
     * source property name
     */
    public static final String KEY_SOURCE = "source";

    /**
     * type property name
     */
    public static final String KEY_TYPE = "type";

    /**
     * The default hidden stream = {@value}
     */
    public static final String DEFAULT_HIDDEN_STREAM = "hidden";
}
