/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2011 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and may be covered by U.S. and Foreign Patents,
 * patents in process, and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.day.cq.analytics.sitecatalyst;

import java.util.Collection;
import java.util.Map;
import java.util.Set;

import com.day.cq.commons.inherit.InheritanceValueMap;

public interface Framework extends InheritanceValueMap {

    public Map<String, FrameworkComponent> getAllComponents() {
		return null;
	}

    public boolean mapsSCVariable(String var) {
		return false;
	}
    
    public boolean mapsCQVariable(String var) {
		return false;
	}

    public String getMapping(String scVar) {
		return null;
	}

    public FrameworkComponent getFrameworkComponent(String scVar) {
		return null;
	}

    public Set<String> scVars() {
		return null;
	}

    public Collection<String> cqVars() {
		return null;
	}

}