/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2011 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and may be covered by U.S. and Foreign Patents,
 * patents in process, and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.day.cq.analytics.sitecatalyst;

import com.day.crx.statistics.Entry;
import com.day.crx.statistics.PathBuilder;

public class ImpressionsPathBuilder extends PathBuilder {
    /** The name of the node that contains the statistical data about a page */
    public static final String STATS_NAME = ".stats";

    /** The path of the page. */
    private final String path;

    /** Default constructor */
    public ImpressionsPathBuilder(String path) {
        super("yyyy/MM/dd");
        this.path = path;
    }
    
    /**
     * Formats the path for a {@link ImpressionsEntry} instance.
     * 
     * @param entry
     *            a {@link ImpressionsEntry} instance
     * @param buffer
     *            where to write the path to
     */
    public void formatPath(Entry entry, StringBuffer buffer) {
	}
}
