/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2014 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.day.cq.analytics.testandtarget;

import java.util.Date;

/**
 * The <tt>PerformanceReportRequest</tt> encapsulates all needed data for a
 * {@link TestandtargetService#getPerformanceReport(com.day.cq.wcm.webservicesupport.Configuration, PerformanceReportRequest)}
 * call
 *
 */
public class PerformanceReportRequest {

    private long campaignId;
    private Date start;
    private Date end;

    /**
     * Creates a new instance for the specified campaignId
     * 
     * @param campaignId the id of the Test&amp;Target campaign
     * @return a new request instance
     */
    public static PerformanceReportRequest forCampaignId(long campaignId) {
		return null;
	}

    public PerformanceReportRequest setStart(Date start) {
		return null;
	}

    public PerformanceReportRequest setEnd(Date end) {
		return null;
	}

    public long getCampaignId() {
		return 0L;
	}

    public Date getStart() {
		return null;
	}

    public Date getEnd() {
		return null;
	}
}
