/*
 * Copyright 1997-2008 Day Management AG
 * Barfuesserplatz 6, 4001 Basel, Switzerland
 * All Rights Reserved.
 *
 * This software is the confidential and proprietary information of
 * Day Management AG, ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Day.
 */
package com.day.cq.commons;

/**
 * Defines a very simple filter interface.
 */
public interface Filter<T> {

    /**
     * Checks if the given element is included in this filter.
     * @param element the element to check
     * @return <code>true</code> if the element is included;
     *         <code>false</code> otherwise.
     */
    boolean includes(T element) {
		return false;
	}
}