package com.day.cq.dam.commons.util;

import java.util.Locale;

import org.apache.sling.api.resource.Resource;
import org.apache.sling.api.resource.ResourceResolver;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import com.day.cq.commons.Language;
import com.day.cq.commons.LanguageUtil;
import com.day.cq.dam.api.Asset;
import com.day.text.Text;

/**
 * This class provides utility method for Language Copy used by sites
 * 
 * @author batla
 */
public class DamLanguageUtil {

    private static final Logger log = LoggerFactory.getLogger(DamLanguageUtil.class);

    /***
     * This method returns true if language copy of an asset exists, for the
     * asked locale
     * 
     * @param assetPath The path of an asset for which language copy is asked
     * @param languageCode Language for which language copy is asked
     * @param resolver ResourceResolver
     * @return
     */
    public static boolean hasLanguageCopy(final String assetPath,
            final String languageCode, final ResourceResolver resolver) {
				return false;
			}

    /**
     * This method returns the Language copy asset if language copy exists, for
     * the asked locale
     * 
     * @param assetPath The path of an asset for which language copy is asked
     * @param languageCode Language for which language copy is asked
     * @param resolver ResourceResolver
     * @return
     */
    public static Asset getLanguageCopy(final String assetPath,
            final String languageCode, final ResourceResolver resolver) {
				return null;
			}

    private static Asset findLanguageCopy(final String assetPath,
            final String languageCode, final ResourceResolver resolver) {
				return null;
			}

    /**
     * Returns the language root for the given asset path by only analyzing the
     * path names starting at the root. Language root for dam will be suffix of
     * folder name joined by "-" ex. geometrixx-en
     * 
     * @param path path
     * @return the language root or <code>null</code> if not found
     */
    public static String getLanguageRoot(String path) {
		return null;
	}
    
    /**
     * Returns the language for the given asset path by only analyzing the
     * path names starting at the root. Language root for dam will be suffix of
     * folder name joined by "-" ex. geometrixx-en
     * 
     * @param path path
     * @return the language or <code>null</code> if not found
     */
    public static Language getLanguage(String path) {
		return null;
	}
    
}
