/*
 * Copyright 1997-2008 Day Management AG
 * Barfuesserplatz 6, 4001 Basel, Switzerland
 * All Rights Reserved.
 *
 * This software is the confidential and proprietary information of
 * Day Management AG, ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Day.
 */
package com.day.cq.dam.handler.standard.pict;

import java.awt.Rectangle;
import java.awt.image.BufferedImage;
import java.io.File;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStream;

import org.apache.commons.io.IOUtils;
import org.apache.felix.scr.annotations.Component;
import org.apache.felix.scr.annotations.Service;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import ch.epfl.lse.jqd.awt.QDCanvas;
import ch.epfl.lse.jqd.basics.QDException;
import ch.epfl.lse.jqd.basics.QDPicture;

import com.day.cq.dam.api.Asset;
import com.day.cq.dam.api.Rendition;
import com.day.cq.dam.api.metadata.ExtractedMetadata;
import com.day.cq.dam.commons.handler.AbstractAssetHandler;
import com.day.cq.dam.handler.standard.helper.imageinfo.ImageInfo;

/**
 * The <code>PictHandler</code> class ...
 */
@Component(inherit = true, metatype = false)
@Service
public class PictHandler extends AbstractAssetHandler {
    /**
     * the default logger
     */
    private static final Logger log = LoggerFactory.getLogger(PictHandler.class);

    /**
     * Mime types
     */
    private static final String[] MIME_TYPES = { "image/pict", "image/x-pict" };
    
    /**
     * More Info available at www.fileformat.info/format/macpict/egff.htm
     */
    private static final int VERSION_NUMBER_2 = 0x02FF;
    
    private static final int VERSION_OPERATOR_2 = 0x0011;

    public ExtractedMetadata extractMetadata(final Asset asset) {
		return null;
	}

    public BufferedImage getImage(final Rendition rendition) throws IOException {
		return null;
	}

    public String[] getMimeTypes() {
		return null;
	}
    
    private int convertToShort(int byte1, int byte2) {
		return 0;
	}
}
