/*
 * Copyright 1997-2008 Day Management AG
 * Barfuesserplatz 6, 4001 Basel, Switzerland
 * All Rights Reserved.
 *
 * This software is the confidential and proprietary information of
 * Day Management AG, ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Day.
 */
package com.day.cq.dam.video.servlet;

import java.io.IOException;

import javax.jcr.Node;
import javax.jcr.NodeIterator;
import javax.jcr.PathNotFoundException;
import javax.jcr.RepositoryException;
import javax.servlet.ServletException;

import org.apache.felix.scr.annotations.Component;
import org.apache.felix.scr.annotations.Properties;
import org.apache.felix.scr.annotations.Property;
import org.apache.felix.scr.annotations.Service;
import org.apache.sling.api.SlingConstants;
import org.apache.sling.api.SlingHttpServletRequest;
import org.apache.sling.api.SlingHttpServletResponse;
import org.apache.sling.api.servlets.SlingAllMethodsServlet;
import org.apache.sling.commons.json.JSONException;
import org.apache.sling.commons.json.io.JSONWriter;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import com.day.cq.commons.jcr.JcrConstants;
import com.day.cq.dam.video.VideoProfile;

/**
 * Servlet to list all existing Video profiles.
 */
@Component
@Service
@Properties({ 
    @Property(name="sling.servlet.resourceTypes", value="dam/components/video/home"),
    @Property(name="sling.servlet.extensions", value="json"),
    @Property(name="sling.servlet.selectors", value="profiles.list"),
    @Property(name="sling.servlet.methods", value="GET"),
    @Property(name="service.description", value="Servlet to list all video profiles")
    })
public class VideoProfileListServlet extends SlingAllMethodsServlet {
    private static final long serialVersionUID = -780464494271946961L;

    private final Logger log = LoggerFactory.getLogger(VideoProfileListServlet.class);

    @Override
    protected void doGet(SlingHttpServletRequest request, SlingHttpServletResponse response) throws ServletException,
            IOException {
			}

    private void loopVideoProfiles(JSONWriter writer, Node videoProfilesRoot) throws RepositoryException, JSONException {
	}

    private void writeVideoProfile(JSONWriter writer, Node profile) throws RepositoryException, JSONException {
	}
    
    private void writeAdaptiveVideoProfile(JSONWriter writer, Node profile) throws RepositoryException, JSONException {
	}
    
    private String getProfileTitle(Node profile) throws RepositoryException {
		return null;
	}

    private Object getProfileDescription(Node profile) throws RepositoryException  {
		return null;
	}
    
    private String getAdaptiveVideoProfileDescription(Node profile) throws RepositoryException  {
		return null;
	}

    private String getProfileName(Node profileNode) throws RepositoryException {
		return null;
	}

    private String getResourceType(Node profileNode) throws RepositoryException {
		return null;
	}
}
