/*
 * ***********************************************************************
 *
 *  ADOBE CONFIDENTIAL
 *  ___________________
 *
 *   Copyright 2012 Adobe Systems Incorporated
 *   All Rights Reserved.
 *
 *  NOTICE:  All information contained herein is, and remains
 *  the property of Adobe Systems Incorporated and its suppliers,
 *  if any.  The intellectual and technical concepts contained
 *  herein are proprietary to Adobe Systems Incorporated and its
 *  suppliers and are protected by trade secret or copyright law.
 *  Dissemination of this information or reproduction of this material
 *  is strictly forbidden unless prior written permission is obtained
 *  from Adobe Systems Incorporated.
 * ************************************************************************
 */

package com.day.cq.mcm.core;

import java.io.IOException;
import java.io.PrintWriter;
import java.util.Iterator;

import javax.jcr.*;

import org.apache.commons.lang.StringUtils;
import org.apache.sling.api.SlingHttpServletRequest;
import org.apache.sling.api.SlingHttpServletResponse;
import org.apache.sling.api.resource.Resource;
import org.apache.sling.api.resource.ResourceUtil;
import org.apache.sling.api.scripting.SlingBindings;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import com.adobe.granite.xss.XSSAPI;

public class MCMFormsHelper {

	/** The logger. */
    private static final Logger log = LoggerFactory.getLogger(MCMFormsHelper.class.getName());
        
    private static final String FOUNDATION_FORM_START = "foundation/components/form/start";
    
    private static final String FOUNDATION_FORM_END = "foundation/components/form/end";
    
    private static final String CTA_EMAIL_ID = "mcm/components/cta-form/emailId";
    
    
    
    private MCMFormsHelper(){
    	//no instances
    }
/**
 *     
 * @param formResource
 * @return null if neither formEnd nor email id is found within form, else email id node if it exists in the form else formEnd
 */
    private static Resource checkEmailExists(Resource formResource)
    {
		return null;
	}

    
    /**
     * 
     * @param formResource
     * @return null if NO new email id node is added else returns the newly added email id node to the form
     */
        public static Node addEmail(Resource formResource)
        {
			return null;
		}    
        
        /**
         * Prints form title with style provided in "className"
         * 
         * @param fieldId
         * @param title 
         * @param required
         * @param hideLabel
         * @param className
         * @param out
         * @throws IOException
         */
        public static void printTitle(String fieldId, String title, boolean required, boolean hideLabel, String className, SlingHttpServletRequest request, SlingHttpServletResponse response)
                throws IOException {
				}                
}
