/*
 * Copyright 1997-2010 Day Management AG
 * Barfuesserplatz 6, 4001 Basel, Switzerland
 * All Rights Reserved.
 *
 * This software is the confidential and proprietary information of
 * Day Management AG, ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Day.
 */

package com.day.cq.personalization;

import org.apache.jackrabbit.util.Text;
import org.apache.sling.api.SlingHttpServletRequest;
import org.apache.sling.api.SlingHttpServletResponse;
import org.apache.sling.settings.SlingSettingsService;

import javax.servlet.http.Cookie;
import java.util.HashMap;
import java.util.Map;

public class ContextSessionPersistence {

    private static final String DEFAULT_COOKIE_NAME = "SessionPersistence";

    /**
     * @deprecated since 5.6.  Use {@link #get(org.apache.sling.api.SlingHttpServletRequest, String)} instead.
     */
    public static String get(SlingHttpServletRequest request, String key, SlingSettingsService settingsService) {
		return null;
	}

    public static String get(SlingHttpServletRequest request, String key) {
		return null;
	}

    public static String get(SlingHttpServletRequest request, String key, String cookieName) {
		return null;
	}

    /**
     * @deprecated since 5.6.  Use {@link #getMap(org.apache.sling.api.SlingHttpServletRequest)} instead.
     */
    public static String getMap(SlingHttpServletRequest request, SlingSettingsService settingsService) {
		return null;
	}

    public static String getMap(SlingHttpServletRequest request) {
		return null;
	}

    public static String getMap(SlingHttpServletRequest request, String cookieName) {
		return null;
	}

    /**
     * @deprecated since 5.6.  Use
     * {@link #put(org.apache.sling.api.SlingHttpServletRequest, org.apache.sling.api.SlingHttpServletResponse, String, String)}
     * instead.
     */
    public static void put(SlingHttpServletRequest request, SlingHttpServletResponse response,
            String key, String value, SlingSettingsService settingsService) {
			}

    /**
     * Add a name/value pair to the default session persistence cookie.
     */
    public static void put(SlingHttpServletRequest request, SlingHttpServletResponse response,
                           String key, String value) {
						}

    /**
     * Add a name/value pair to a named cookie.
     */
    public static void put(SlingHttpServletRequest request, SlingHttpServletResponse response,
                           String key, String value, String cookieName) {
						}

    private static Cookie internalPut(SlingHttpServletRequest request, SlingHttpServletResponse response,
                                      String key, String value, Cookie cookie) {
										return null;
									}

    private static Map<String, String> parse(String str) {
		return null;
	}
    
    private static String serialize(Map<String, String> store) {
		return null;
	}

    /**
     * @deprecated since 5.6.  Use {@link #getStore(org.apache.sling.api.SlingHttpServletRequest, String)} instead.
     */
    public static Map<String, String> getStore(SlingHttpServletRequest request, String key,
                                               SlingSettingsService settingsService) {
												return null;
											}

    /**
     * Return a single store (by its key) from the default session persistence cookie.
     */
    public static Map<String, String> getStore(SlingHttpServletRequest request, String key) {
		return null;
	}

    /**
     * Return a single store (by its key) from a named cookie.
     */
    public static Map<String, String> getStore(SlingHttpServletRequest request, String key, String cookieName) {
		return null;
	}

    /**
     * @deprecated since 5.6.  Use
     * {@link #putStore(org.apache.sling.api.SlingHttpServletRequest, org.apache.sling.api.SlingHttpServletResponse, String, java.util.Map)}
     * instead.
     */
    public static void putStore(SlingHttpServletRequest request, SlingHttpServletResponse response,
                                String key, Map<String, String> store, SlingSettingsService settingsService) {
								}

    /**
     * Persists a single store under the given key.
     * <p>
     * <b>Note: Don't use this method to persist multiple stores. Use
     * {@link #putStores(SlingHttpServletRequest, SlingHttpServletResponse, Map, String)} instead.</b>
     */
    public static void putStore(SlingHttpServletRequest request, SlingHttpServletResponse response,
                                String key, Map<String, String> store) {
								}

    /**
     * Put multiple stores at once without overwriting stores previously put
     * to response. The method takes a map of stores where the key corresponds
     * to the store key.
     * @param request The request
     * @param response The response
     * @param stores The map of stores
     * @param cookieName The cookie's name
     */
    public static void putStores(SlingHttpServletRequest request, SlingHttpServletResponse response,
                                Map<String, Map<String, String>> stores, String cookieName) {
								}

    /**
     * Add a cookie to the response.  Make sure the secure flag is set if the request is https, and that
     * the cookie path respects the context-path.
     * @param request The current request.
     * @param response The current response.
     * @param cookie The cookie to add.
     */
    private static void internalAddCookie(SlingHttpServletRequest request, SlingHttpServletResponse response, Cookie cookie) {
	}

    /**
     * Return the name of the default session persistence cookie.
     */
    public static String getCookieName() {
		return null;
	}

    /**
     * @deprecated since 5.6.  Use {@link #getCookieName()} instead.
     */
    public static String getCookieName(SlingSettingsService settingsService) {
		return null;
	}

    /**
     * @deprecated since 5.6.  Use {@link #getCookieName()} instead.
     */
    public static String getCookieName(String cookiePrefix, SlingSettingsService settingsService) {
		return null;
	}
}