/*
 * Copyright 1997-2011 Day Management AG
 * Barfuesserplatz 6, 4001 Basel, Switzerland
 * All Rights Reserved.
 *
 * This software is the confidential and proprietary information of
 * Day Management AG, ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Day.
 */
package com.day.cq.personalization.tags;

import com.adobe.granite.security.user.UserProperties;
import com.adobe.granite.xss.XSSAPI;
import com.day.cq.wcm.api.WCMMode;
import org.apache.sling.api.SlingHttpServletRequest;
import org.apache.sling.api.scripting.SlingBindings;
import org.apache.sling.scripting.jsp.util.TagUtil;

import javax.servlet.jsp.JspException;
import javax.servlet.jsp.JspWriter;
import javax.servlet.jsp.PageContext;
import javax.servlet.jsp.tagext.TagSupport;
import java.io.IOException;

/**
 * Implements the <code>&lt;personalisation:contextProfileProperty/&gt;</code> tag
 * AdobePatentID="B1393"
 */
public class ContextProfileHtmlInputTag extends TagSupport {

    private static final long serialVersionUID = 4646561799994266940L;

    private String propertyName;
    private String store;

    //html attributes
    private String id;
    private String clazz;
    private String type;
    private String name;

    @Override
    public void setPageContext(PageContext pageContext) {
	}

    public void setPropertyName(String propertyName) {
	}

    public void setStore(String store) {
	}

    public void setClazz(String clazz) {
	}

    public void setType(String type) {
	}

    public void setName(String name) {
	}

    public void setId(String id) {
	}

    @Override
    public int doEndTag() throws JspException {
		return 0;
	}

    String getScript(SlingHttpServletRequest request, UserProperties userProperties) {
		return null;
	}
}
