/*
 * Copyright 1997-2010 Day Management AG
 * Barfuesserplatz 6, 4001 Basel, Switzerland
 * All Rights Reserved.
 *
 * This software is the confidential and proprietary information of
 * Day Management AG, ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Day.
 */

package com.day.cq.search.writer;

import java.util.HashMap;
import java.util.HashSet;
import java.util.Map;
import java.util.Set;

import javax.jcr.Node;
import javax.jcr.Property;
import javax.jcr.RepositoryException;

import org.apache.felix.scr.annotations.Component;
import org.apache.sling.commons.json.JSONException;
import org.apache.sling.commons.json.io.JSONWriter;
import org.apache.sling.commons.json.jcr.JsonItemWriter;

import com.day.cq.search.PredicateGroup;
import com.day.cq.search.Query;
import com.day.cq.search.result.Hit;

/**
 * {@linkplain SelectivePropHitWriter} writes selective node properties.
 * To write selective property of child nodes,specify relative path of property.
 */
@Component(metatype = false, factory = "com.day.cq.search.writer.ResultHitWriter/selective")
public class SelectivePropHitWriter implements ResultHitWriter {

    public void write(Hit hit, JSONWriter writer, Query query) throws RepositoryException, JSONException {
	}

    static class NodeWriter extends JsonItemWriter {

        NodeWriter() {
            super(null);
        }

        public void writeProp(JSONWriter writer, Property prop) throws RepositoryException, JSONException {
		}

        /** Dump given node in JSON in recursive fashion, along with the selected properties. */
        public void dump(Node node, JSONWriter w, PropertySpecifier ps) throws RepositoryException, JSONException {
		}
    }

    /**
     * Class that specify properties at first level and properties of child nodes.
     */
    private static class PropertySpecifier {
        /**
         * set of first level properties
         */
        private Set<String> propSet = new HashSet<String>();

        /**
         * map to hold PropertySpecifier of child nodes.
         */
        private Map<String, PropertySpecifier> childPropSpeciferMap = new HashMap<String, PropertySpecifier>();

        private void addProp(String propName) {
		}

        private void addChildSpecifer(String childName, PropertySpecifier ps) {
		}

        private PropertySpecifier getChildSpecifer(String childName) {
			return null;
		}

        public Set<String> getPropSet() {
			return null;
		}

        public Map<String, PropertySpecifier> getChildPropSpeciferMap() {
			return null;
		}

        @Override
        public String toString() {
			return null;
		}

        /**
         * Parse properties string to PropertySpecier.
         *
         * @param properties whitespace separated properties name.
         * @return
         */
        public static PropertySpecifier parsePropertyString(String properties) {
			return null;
		}

    }
}
