package com.day.cq.spellchecker;

import org.apache.sling.commons.json.JSONException;
import org.apache.sling.commons.json.io.JSONStringer;

import java.util.ArrayList;
import java.util.List;

/**
 * This class represents the spellchecking results when checking against an entire text.
 */
public class TextCheckResult {

    static private class WordResult {

        private final int startPos;

        private final int charCnt;

        private final WordCheckResult result;

        WordResult(int startPos, int charCnt, WordCheckResult result) {
            this.startPos = startPos;
            this.charCnt = charCnt;
            this.result = result;
        }

        public int getStartPos() {
			return 0;
		}

        public int getCharCnt() {
			return 0;
		}

        public WordCheckResult getResult() {
			return null;
		}

    }

    /**
     * The spellchecked text
     */
    private final String text;

    /**
     * Flag that determines if the text contains HTML code
     */
    private final boolean isHtml;

    /**
     * Language used for spellchecking
     */
    private final String language;

    /**
     * Spellchecking results on a per-word base
     */
    private final List<WordResult> results;

    public TextCheckResult(String text, boolean isHtml, String language) {
        this.text = text;
        this.isHtml = isHtml;
        this.language = language;
        this.results = new ArrayList<WordResult>(10);
    }

    public void addWordResult(int startPos, int charCnt, WordCheckResult wordResult) {
	}

    public WordResult getWordResult(int pos) {
		return null;
	}

    public String getText() {
		return null;
	}

    public boolean isHtml() {
		return false;
	}

    public String getLanguage() {
		return null;
	}

    public String toJsonString() throws SpellCheckException {
		return null;
	}

    public String toJsonString(boolean sparse) throws SpellCheckException {
		return null;
	}

}
