/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2011 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.day.cq.theme;

/**
 * The <code>Theme</code> interface defines the API to define themes (or skins)
 * to configure the look and feel of the web site.
 * <p>
 * This interface is not finalized yet and needs much enhancement !
 */
public interface Theme {

    /** The request attribute used to store the theme. */
    String REQUEST_ATTR = Theme.class.getName();

    /**
     * Returns the URL to the CSS to use on the result or <code>null</code> if
     * no CSS should be loaded.
     */
    String getCss() {
		return null;
	}

    String getPath() {
		return null;
	}
}
