/*
 * Copyright 1997-2008 Day Management AG
 * Barfuesserplatz 6, 4001 Basel, Switzerland
 * All Rights Reserved.
 *
 * This software is the confidential and proprietary information of
 * Day Management AG, ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Day.
 */
package com.day.cq.wcm.mobile.api.devicespecs;

import java.util.Map;

import org.apache.sling.api.SlingHttpServletRequest;

/** Query engine for Device Specs, this is the high-level
 *  service that combines a number of {@DeviceSpecsProvider} to
 *  execute queries.
 */
public interface DeviceSpecsQueryEngine {
    /** Query the device specs database for the specs of device
     *  identified by supplied request
     */
    Map<String, String> queryDeviceSpecs(SlingHttpServletRequest request) throws Exception {
		return null;
	}
}
