/*
 * Copyright 1997-2008 Day Management AG
 * Barfuesserplatz 6, 4001 Basel, Switzerland
 * All Rights Reserved.
 *
 * This software is the confidential and proprietary information of
 * Day Management AG, ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Day.
 */
package com.day.cq.workflow.filter;

import com.day.cq.security.Authorizable;
import com.day.cq.security.UserManager;
import com.day.cq.workflow.exec.WorkItem;
import com.day.cq.workflow.exec.filter.WorkItemFilter;

public class InboxFilter implements WorkItemFilter {
    private String path;
    private String model;
    private String step;
    private String authorizableType;
    private String assignee;

    private UserManager usrMgr;

    public InboxFilter(UserManager usrMgr, String path, String model,
            String step, String authorizableType, String assignee) {
        this(usrMgr);

        this.path = path;
        this.model = model;
        this.step = step;
        this.authorizableType = authorizableType;
        this.assignee = assignee;
    }

    public InboxFilter(UserManager usrMgr) {
        this.usrMgr = usrMgr;
    }

    public boolean doInclude(WorkItem item) {
		return false;
	}

    /**
     * @return the path
     */
    public String getPath() {
		return null;
	}

    /**
     * @param path
     *            the path to set
     */
    public void setPath(String path) {
	}

    /**
     * @return the model
     */
    public String getModel() {
		return null;
	}

    /**
     * @param model
     *            the model to set
     */
    public void setModel(String model) {
	}

    /**
     * @return the step
     */
    public String getStep() {
		return null;
	}

    /**
     * @param step
     *            the step to set
     */
    public void setStep(String step) {
	}

    /**
     * @return the authorizableType
     */
    public String getAuthorizableType() {
		return null;
	}

    /**
     * @param authorizableType
     *            the authorizableType to set
     */
    public void setAuthorizableType(String authorizableType) {
	}

    /**
     * @return the assignee
     */
    public String getAssignee() {
		return null;
	}

    /**
     * @param assignee
     *            the assignee to set
     */
    public void setAssignee(String assignee) {
	}
}
