/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2011 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.day.cq.xss.taglib;

import javax.servlet.jsp.JspException;
import javax.servlet.jsp.tagext.TagSupport;

/**
 * This class provides a tag that can be used to invalidate a cached policy.
 */
@Deprecated
public class InvalidatePolicy extends TagSupport {

    /**
     * Path to policy file to use; <code>null</code>, if the default policy has to be used
     */
    protected String policy;

    /**
     * Get the path to the policy to be used.
     *
     * @return Path to policy file to use; <code>null</code>, if the default policy has to
     *         be used
     */
    public String getPolicy() {
		return null;
	}

    /**
     * Set the path to the policy to be used.
     *
     * @param policy Path to policy file to use; <code>null</code>, if the default policy
     *               has to be used
     */
    public void setPolicy(String policy) {
	}

    /**
     * Handles the opening tag.
     *
     * @return <code>SKIP_BODY</code>
     */
    @Override
    public int doStartTag() throws JspException {
		return 0;
	}

}
