/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2011 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 *
 **************************************************************************/

package com.day.jcr.vault.fs.spi;

import java.io.IOException;
import java.util.Collection;

import javax.jcr.RepositoryException;
import javax.jcr.nodetype.NodeType;

/**
 * <code>NodeTypeInstaller</code>...
 */
public interface NodeTypeInstaller {

    Collection<NodeType> install(ProgressTracker tracker, NodeTypeSet types)
            throws IOException, RepositoryException {
		return null;
	}

}