/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2011 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 *
 **************************************************************************/

package com.day.jcr.vault.util;

import java.io.IOException;
import java.io.Writer;

import com.day.jcr.vault.fs.api.ProgressTrackerListener;

/**
 * <code>HtmlProgrressTrackerListener</code>...
 *
 */
public class HtmlProgressListener implements ProgressTrackerListener {

    private final Writer out;

    private boolean noScrollTo;

    private long scrollDelay = 1000;

    private long lastScrolled = 0;

    public HtmlProgressListener(Writer out) {
        this.out = out;
    }

    public boolean isNoScrollTo() {
		return false;
	}

    public HtmlProgressListener setNoScrollTo(boolean noScrollTo) {
		return null;
	}

    public long getScrollDelay() {
		return 0L;
	}

    public HtmlProgressListener setScrollDelay(long scrollDelay) {
		return null;
	}

    public void onError(Mode mode, String path, Exception e) {
	}

    public void onMessage(Mode mode, String action, String path) {
	}

    private void print(Mode mode, String action, String path, String msg) {
	}

}