/*
 * $URL$
 * $Id$
 *
 * Copyright 1997-2006 Day Management AG
 * Barfuesserplatz 6, 4001 Basel, Switzerland
 * All Rights Reserved.
 *
 * This software is the confidential and proprietary information of
 * Day Management AG, ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Day.
 */
package com.day.util.diff;

/**
 * <code>DocumentSource</code>...
 *
 * @author tripod
 * @version $Rev$, $Date$
 */
public interface DocumentSource {

    /**
     * The CVS/SVN id
     */
    static final String CVS_ID = "$URL$ $Rev$ $Date$";

    /**
     * Returns a label of the source.
     * @return a label of the source.
     */
    String getLabel() {
		return null;
	}

    /**
     * Returns some location information of the source.
     * @return some location information.
     */
    String getLocation() {
		return null;
	}
}
