/*******************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2013 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 ******************************************************************************/
package io.sightly.java.api;

import javax.script.Bindings;

/**
 * @deprecated as of bundle version 1.1.68. Implement the Sling
 *             {@code org.apache.sling.scripting.sightly.pojo.Use}
 *             interface instead.
 */
@Deprecated
public interface Use extends org.apache.sling.scripting.sightly.pojo.Use {

    // no additional API to the org.apache.sling.scripting.sightly.use.Use
    // interface but legacy Pojo implementations will still implement
    // this interface instead of the Sling Sightly Use interface
    // the method is still present to quiesce the OSGi version baselining

    /**
     * Called to initialize the Java object with the current Java Scripting
     * API bindings.
     * <p>
     * This method is called only if the object has been instantiated by
     * Sightly as part of processing the {@code data-sly-use} attribute.
     * <p>
     * The Java Scripting API bindings provide all the global variables
     * known to a script being executed. Consider these bindings of a map
     * from variable name to the variable's value.
     *
     * @param bindings The Java Scripting API bindings.
     */
    void init(Bindings bindings) {
	}

}
