/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * ___________________
 *
 *  Copyright 2014 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/

package com.adobe.cq.dam.index.bootstrap;

import com.adobe.cq.dam.index.builder.AggregationRule;
import com.adobe.cq.dam.index.builder.IndexRule;
import com.adobe.cq.dam.index.builder.LuceneIndexDefinition;
import com.adobe.cq.dam.index.builder.OakPropertyIndexDefinition;
import com.adobe.cq.dam.index.builder.OrderedPropertyDefinition;
import com.adobe.cq.dam.index.builder.SimplePropertyDefinition;
import com.adobe.cq.dam.index.builder.api.IndexDefinition;
import com.adobe.cq.dam.index.helper.IndexHelper;
import com.google.common.collect.ImmutableList;
import org.apache.felix.scr.annotations.Component;
import org.apache.felix.scr.annotations.Reference;
import org.apache.felix.scr.annotations.ReferencePolicy;
import org.apache.jackrabbit.oak.plugins.index.IndexConstants;
import org.apache.sling.api.resource.LoginException;
import org.apache.sling.api.resource.Resource;
import org.apache.sling.api.resource.ResourceResolver;
import org.apache.sling.api.resource.ResourceResolverFactory;
import org.osgi.service.component.ComponentContext;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import java.util.List;

/**
 * Dam indexing related bootstrap configuration
 */
@Component
public class DamIndexBootstrap {

    private static final Logger log = LoggerFactory.getLogger(DamIndexBootstrap.class);

    @Reference(policy = ReferencePolicy.STATIC)
    private ResourceResolverFactory jcrResolverFactory;

    private static String [] disableIndexList = {
            "dcFormat", "videoCodec", "damFileSize", "damSha1",
            "xmpMMDocumentId", "xmpMMInstanceId"
    };

    private static String [] depriortiseIndexList = {
            "cqTags",  "damStatus", "offTime", "onTime"
    };

    private static final String INDEX_ROOT_PATH = "/" + IndexConstants.INDEX_DEFINITIONS_NAME;

    protected void activate(final ComponentContext context) {
	}

    private void disableDefaultIndex(ResourceResolver resolver) {
	}

    private void depriortiseIndex(ResourceResolver resolver) {
	}

    private void createDefaultIndex(ResourceResolver resolver) {
	}

    public static List<AggregationRule> createAggregationRules() {
		return null;
	}

    public static List<IndexRule> createIndexRules() {
		return null;
	}
}
