/*************************************************************************
  *
  * ADOBE CONFIDENTIAL
  * __________________
  *
  *  Copyright 2012 Adobe Systems Incorporated
  *  All Rights Reserved.
  *
  * NOTICE:  All information contained herein is, and remains
  * the property of Adobe Systems Incorporated and its suppliers,
  * if any.  The intellectual and technical concepts contained
  * herein are proprietary to Adobe Systems Incorporated and its
  * suppliers and may be covered by U.S. and Foreign Patents,
  * patents in process, and are protected by trade secret or copyright law.
  * Dissemination of this information or reproduction of this material
  * is strictly forbidden unless prior written permission is obtained
  * from Adobe Systems Incorporated.
  **************************************************************************/
package com.adobe.cq.dms.tagmanager;

import java.util.Collection;

import org.apache.sling.api.resource.Resource;

/**
 * The TagHandlerManager is managing TagHandlers
 */
public interface TagHandlerManager {

    /**
     * Returns a TagHandler for the provided <code>resource</code>.
     * 
     * @param resource
     * @return
     */
    TagHandler getHandler(Resource resource) {
		return null;
	}
    
    /**
     * Returns a {@link Collection} of template paths for which a TagHandler is
     * registered.
     * 
     * @return Set of template paths for registered handlers.
     */
    Collection<String> getTemplates() {
		return null;
	}
    
}
