package com.adobe.cq.mcm.campaign;

import org.apache.sling.api.resource.Resource;

/**
 * Service to publish a page and all dependencies.
 */
public interface Publisher {

    /**
     * Publishes the page represented by the specified resource.
     *
     * @param resource The page to publish
     * @throws NewsletterException if the Newsletter could not be published
     */
    void publish(Resource resource) throws NewsletterException {
	}

}
