/*
 * ***********************************************************************
 *
 *  ADOBE CONFIDENTIAL
 *  ___________________
 *
 *   Copyright 2012 Adobe Systems Incorporated
 *   All Rights Reserved.
 *
 *  NOTICE:  All information contained herein is, and remains
 *  the property of Adobe Systems Incorporated and its suppliers,
 *  if any.  The intellectual and technical concepts contained
 *  herein are proprietary to Adobe Systems Incorporated and its
 *  suppliers and are protected by trade secret or copyright law.
 *  Dissemination of this information or reproduction of this material
 *  is strictly forbidden unless prior written permission is obtained
 *  from Adobe Systems Incorporated.
 * ************************************************************************
 */

package com.adobe.cq.mcm.silverpop;

import java.util.List;
import java.util.Map;

public interface ScheduleMailingParams {
	String getTemplateID() {
		return null;
	}
	String getListID() {
		return null;
	}
	String getUniqueMailingName() {
		return null;
	}
	boolean getVisibility() {
		return false;
	}
	void addRecipients(List<String> recipientIDs) {
	}
	void addRecipient(String recipientID) {
	}
	List<String> getRecipientIDs() {
		return null;
	}
	void addOptionalParams(Map<String,String> optionalParams) {
	}
	/***
	 * 
	 * @param paramName parameter name
	 * @param paramValue parameter value. Empty string if parameter is an Empty Tag, example <SEND_HTML/> will be specified as <"SEND_HTML", "">
	 */
	void addOptionalParam(String paramName, String paramValue) {
	}
	String getOptionalParam(String paramName) {
		return null;
	}
	Map<String,String> getOptionalParams() {
		return null;
	}
	boolean containsOptionalParam(String paramName) {
		return false;
	}
	void addSubstitution(String name, String value) {
	}
	void addSubstitutions(Map<String,String> substitutions) {
	}
	Map<String,String> getSubstitutions() {
		return null;
	}
	void addSuppressionList(String listID) {
	}
	void addSupressionLists(List<String> suppressionListIDs) {
	}
	List<String> getSuppressionListIDs() {
		return null;
	}
}
