/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2012 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and may be covered by U.S. and Foreign Patents,
 * patents in process, and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.adobe.cq.scheduled.exporter;

import java.util.Iterator;

public interface ScheduledExporter {

    /**
     * The name of the exporter service. This may be used to retrieve the
     * service from the service registry.
     */
    public static final String SERVICE_NAME = "com.adobe.cq.scheduled.exporter.ScheduledExporter";

    /**
     * Returns an <code>Iterator</code> of all export configurations registered
     * in the repository. If none are registered, this method returns an empty
     * iterator.
     * 
     * @return
     */
    Iterator<ExportConfig> getExportConfigs() {
		return null;
	}

}
