/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2012 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.adobe.cq.searchcollections.api;

import java.util.LinkedHashSet;
import java.util.Map;
import java.util.Set;

import javax.jcr.RepositoryException;
import javax.jcr.observation.Event;
import javax.jcr.observation.EventIterator;
import javax.jcr.observation.EventListener;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public class SearchUpdater implements EventListener {

    private static final Logger log =
        LoggerFactory.getLogger(SearchUpdater.class);

    private final SearchCollection collection;

    private NodeIndexerExtension indexerExtension;

    public SearchUpdater(SearchCollection collection) {
        this(collection, null);
    }

    public SearchUpdater(SearchCollection collection, NodeIndexerExtension indexerExtension) {
        super();
        this.collection = collection;
        this.indexerExtension = indexerExtension;
    }

    public void onEvent(EventIterator events) {
	}

    private boolean eventRequiresReindex(final Event eventToCheck) {
		return false;
	}

}
