/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2012 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.adobe.cq.searchcollections.qom;

import static javax.jcr.PropertyType.DATE;
import static javax.jcr.PropertyType.DECIMAL;
import static javax.jcr.PropertyType.DOUBLE;
import static javax.jcr.PropertyType.LONG;
import static javax.jcr.query.qom.QueryObjectModelConstants.JCR_OPERATOR_EQUAL_TO;
import static javax.jcr.query.qom.QueryObjectModelConstants.JCR_OPERATOR_GREATER_THAN;
import static javax.jcr.query.qom.QueryObjectModelConstants.JCR_OPERATOR_GREATER_THAN_OR_EQUAL_TO;
import static javax.jcr.query.qom.QueryObjectModelConstants.JCR_OPERATOR_LESS_THAN;
import static javax.jcr.query.qom.QueryObjectModelConstants.JCR_OPERATOR_LESS_THAN_OR_EQUAL_TO;
import static javax.jcr.query.qom.QueryObjectModelConstants.JCR_OPERATOR_LIKE;
import static javax.jcr.query.qom.QueryObjectModelConstants.JCR_OPERATOR_NOT_EQUAL_TO;

import java.util.Comparator;
import java.util.regex.Pattern;

import javax.jcr.RepositoryException;
import javax.jcr.Value;

/**
 * Comparator for {@link Value} instances.
 */
public class ValueComparator implements Comparator<Value> {

    /**
     * Compares two values.
     */
    public int compare(Value a, Value b) {
		return 0;
	}

    /**
     * Evaluates the given QOM comparison operation with the given values.
     *
     * @param operator QOM comparison operator
     * @param a left value
     * @param b right value
     * @return result of the comparison
     */
    public boolean evaluate(String operator, Value a, Value b) {
		return false;
	}

    /**
     * Evaluates the given QOM comparison operation with the given value arrays.
     *
     * @param operator QOM comparison operator
     * @param a left values
     * @param b right values
     * @return result of the comparison
     */
    public boolean evaluate(String operator, Value[] a, Value[] b) {
		return false;
	}

    /**
     * Creates a regexp from <code>likePattern</code>.
     *
     * @param likePattern the pattern.
     * @return the regular expression <code>Pattern</code>.
     */
    private Pattern createRegexp(String likePattern) {
		return null;
	}

}