/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2012 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 *
 *************************************************************************/

package com.adobe.cq.social.blog;

import com.adobe.cq.social.commons.CollabException;

/**
 * <code>BlogException</code> is a generic exception for all failures in the blog API.
 * @deprecated replaced by com.adobe.cq.social.journal
 */
@Deprecated
public class BlogException extends CollabException {

    /** A serialVersionUID for this class. */
    private static final long serialVersionUID = 1L;

    public BlogException(final String message) {
        super(message);
    }

    public BlogException(final String message, final Throwable cause) {
        super(message, cause);
    }

    public BlogException(final Throwable cause) {
        super(cause);
    }
}
