/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2013 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/

package com.adobe.cq.social.calendar.client.api;

import org.apache.felix.scr.annotations.Component;
import org.apache.felix.scr.annotations.Service;
import org.apache.sling.api.SlingHttpServletRequest;
import org.apache.sling.api.resource.Resource;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import com.adobe.cq.social.calendar.client.impl.CalendarEventImpl;
import com.adobe.cq.social.scf.ClientUtilities;
import com.adobe.cq.social.scf.QueryRequestInfo;
import com.adobe.cq.social.scf.SocialComponent;
import com.adobe.cq.social.scf.SocialComponentFactory;
import com.adobe.cq.social.scf.core.AbstractSocialComponentFactory;

/**
 * CalendarEventSocialComponentFactory enabling the client to create CalendarEvent instance from a specified resource.
 */
@Component(label = "AEM Communities Calendar Event SocialComponent Factory")
@Service
public class CalendarEventSocialComponentFactory extends AbstractSocialComponentFactory implements
    SocialComponentFactory {

    /** Logger for this class. */
    private static final Logger LOG = LoggerFactory.getLogger(CalendarEventSocialComponentFactory.class);

    /**
     * {@inheritDoc}
     */
    @Override
    public SocialComponent getSocialComponent(final Resource resource) {
		return null;
	}

    /**
     * {@inheritDoc}
     */
    @Override
    public SocialComponent getSocialComponent(final Resource resource, final SlingHttpServletRequest request) {
		return null;
	}

    /**
     * {@inheritDoc}
     */
    @Override
    public SocialComponent getSocialComponent(final Resource resource, final ClientUtilities clientUtils,
        final QueryRequestInfo queryInfo) {
			return null;
		}

    /**
     * {@inheritDoc}
     */
    @Override
    public String getSupportedResourceType() {
		return null;
	}

}
