/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2013 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 *
 *************************************************************************/
package com.adobe.cq.social.calendar.client.api;

public interface SimpleCalendarEvent {

    /**
     * Gets the title.
     * @return the title
     */
    String getTitle() {
		return null;
	}

    /**
     * Returns the start date of the event. If it is an all-day event, {@link #isDate()} will return true and the time
     * part can be ignored.
     * @return the start
     */
    String getStart() {
		return null;
	}

    /**
     * Returns the end date of the event. If it is an all-day event, {@link #isDate()} will return true and the time
     * part can be ignored.
     * @return the end
     */
    String getEnd() {
		return null;
	}
}
