/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2013 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.adobe.cq.social.group.client.api;

import java.util.List;

import javax.jcr.Session;

import com.adobe.cq.social.scf.SocialCollectionComponent;

public interface CommunityGroupCollection extends SocialCollectionComponent {

    String RESOURCE_TYPE = "social/group/components/hbs/communitygroups";

    String GROUP_ADMIN_PERMISSIONS = Session.ACTION_ADD_NODE + "," + Session.ACTION_READ + ","
            + Session.ACTION_REMOVE + "," + Session.ACTION_SET_PROPERTY;

    boolean isCanAdd() {
		return false;
	}

    String getDefaultImage() {
		return null;
	}

    List<Object> getAllowedTemplates() {
		return null;
	}
}
