/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2013 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/

package com.adobe.cq.social.group.client.endpoints;

import java.util.List;

import com.adobe.cq.social.group.client.api.CommunityGroup;
import com.adobe.cq.social.scf.Operation;
import com.adobe.cq.social.scf.OperationExtension;

public interface CommunityGroupOperationExtension extends OperationExtension<CommunityGroup> {

    public enum CommunityGroupOperation implements Operation {
        /** Create Operation. */
        CREATE, JOIN, LEAVE, INVITE, UNINVITE, PROMOTE, DEMOTE;
    };

    @Override
    List<CommunityGroupOperation> getOperationsToHookInto() {
		return null;
	}
}
