/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2013 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.adobe.cq.social.handlebars.api;

import java.io.IOException;

import com.github.jknack.handlebars.Options;

public interface TemplateHelper<T> {
    public static final String REQUEST_KEY = "_request";
    public static final String RESPONSE_KEY = "_response";
    public static final String BYPASS_COMPONENT_HANDLING_ON_INCLUDE_ATTRIBUTE = "_bypassComponentHandling";
    public static final String SERVICE_RESOLVER = "_serviceResolver";

    CharSequence apply(final T context, final Options options) throws IOException {
		return null;
	}

    String getHelperName() {
		return null;
	}

    Class<T> getContextType() {
		return null;
	}
}
