/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2014 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/

package com.adobe.cq.social.scoring.api;

/***
 * The user's score for a given segment.
 */
public interface UserScore {

    /**
     * The Segment's title.
     * @return the title of the segment.
     */
    String getScoreName() {
		return null;
	}

    /**
     * The user's score points.
     * @return the score value
     */
    long getValue() {
		return 0L;
	}

}
