/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2013 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 *************************************************************************/
package com.adobe.granite.ocs.api.goals;

/**
 * Enum for the job properties to be available on the goal jobs.
 */
@Deprecated
public enum GoalJobProperties {

    /**
     * The path of the environment.
     */
    ENVIRONMENT_PATH("ocs.environment");

    private String propertyName;

    /**
     * Create new job property.
     *
     * @param propertyName The property name.
     */
    GoalJobProperties(String propertyName) {
        this.propertyName = propertyName;
    }

    /**
     * Access the property Name.
     *
     * @return The propertyName.
     */
    public String propertyName() {
        return propertyName;
    }
}
