/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2014 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.adobe.granite.translation.api;

import com.adobe.granite.comments.Comment;
import com.adobe.granite.translation.api.TranslationConstants.TranslationStatus;

//
/** The Interface TranslationState. */
public interface TranslationState {

    /**
     * Gets the status.
     * @return the status
     */
    TranslationStatus getStatus() {
		return null;
	}

    /**
     * Sets the status.
     * @param status the new status
     */
    void setStatus(TranslationStatus status) {
	}

    /**
     * Gets the comment.
     * @return the comment
     */
    Comment getComment() {
		return null;
	}

    /**
     * Sets the comment.
     * @param c the new comment
     */
    void setComment(Comment c) {
	}
}
