/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2014 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.adobe.reef.siren;

import org.json.JSONException;
import org.json.JSONObject;

/**
 * A {@code Field} represents a control inside an {@link Action}.
 */
public final class Field {
    
    private String name;
    
    private FieldType type = FieldType.TEXT;
    
    private String value;
    
    private String title;

    public Field(String name) {
        this.name = name;
    }

    /**
     * Returns the name attribute.
     * 
     * @return the name
     */
    public String getName() {
		return null;
	}

    /**
     * Sets the name attribute.
     * 
     * @param name the name to set
     */
    public void setName(String name) {
	}

    /**
     * Returns the type attribute.
     * 
     * @return the type
     */
    public FieldType getType() {
		return null;
	}

    /**
     * Sets the type attribute.
     * 
     * @param type the type to set
     */
    public void setType(FieldType type) {
	}

    /**
     * Returns the value attribute.
     * 
     * @return the value
     */
    public String getValue() {
		return null;
	}

    /**
     * Sets the value attribute.
     * 
     * @param value the value to set
     */
    public void setValue(String value) {
	}

    /**
     * Returns the title attribute.
     * 
     * @return the title
     */
    public String getTitle() {
		return null;
	}

    /**
     * Sets the title attribute.
     * 
     * @param title the title to set
     */
    public void setTitle(String title) {
	}

    @Override
    public String toString() {
		return null;
	}

    @Override
    public int hashCode() {
		return 0;
	}

    @Override
    public boolean equals(Object obj) {
		return false;
	}

    public enum FieldType {
        BUTTON, 
        CHECKBOX, 
        COLOR, 
        DATE, 
        DATETIME, 
        DATETIMELOCAL, 
        EMAIL, 
        FILE, 
        HIDDEN, 
        IMAGE, 
        MONTH, 
        NUMBER, 
        PASSWORD, 
        RADIO, 
        RANGE, 
        RESET, 
        SEARCH, 
        SUBMIT, 
        TEL, 
        TEXT, 
        TIME, 
        URL, 
        WEEK;
    }

}
