/*
 * Copyright 1997-2009 Day Management AG
 * Barfuesserplatz 6, 4001 Basel, Switzerland
 * All Rights Reserved.
 *
 * This software is the confidential and proprietary information of
 * Day Management AG, ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Day.
 */
package com.day.cq.activitystreams.api;

/**
 * Exception abstraction for <code>Activities</code>
 * 
 */
public class ActivityException extends RuntimeException {

    /** Serial version UID */
    private static final long serialVersionUID = -6939262238457784027L;

    public ActivityException(String message) {
        super(message);
    }

    public ActivityException(String message, Throwable e) {
        super(message, e);
    }

}
