/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2011 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and may be covered by U.S. and Foreign Patents,
 * patents in process, and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.day.cq.analytics.sitecatalyst.rsmerger;

import org.apache.sling.commons.json.JSONException;
import org.apache.sling.commons.json.JSONObject;

public abstract class AbstractReportSuite implements ReportSuiteVariable {

    protected String rsid;
    protected String siteTitle;
    protected JSONObject jsonObj;

    public AbstractReportSuite(JSONObject jsonObj) throws JSONException {
        this.rsid = jsonObj.getString("rsid");
        this.siteTitle = jsonObj.getString("site_title");
        this.jsonObj = jsonObj;
    }

    public String getRsid() {
		return null;
	}

    public String getSiteTitle() {
		return null;
	}

    public JSONObject getJSONObject() {
		return null;
	}

}