/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2014 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.day.cq.analytics.testandtarget;

import java.util.ArrayList;
import java.util.Collections;
import java.util.List;

/**
 * The <tt>PerformanceReport</tt> contains performance reporting data about a single campaign
 *
 */
public class PerformanceReport {

    private List<PerformanceReportItem> items = new ArrayList<PerformanceReportItem>();

    /**
     * @param item the item instance to add, must not be <code>null</code>
     */
    public void addItem(PerformanceReportItem item) {
	}

    /**
     * @return an unmodifiable view over the experiences contained in this report
     */
    public List<PerformanceReportItem> getItems() {
		return null;
	}

    /**
     * Returns the total performance for all experience contained in this report
     * 
     * <p>
     * The <tt>name</tt> field will always be set to null
     * </p>
     * 
     * @return the total performance for all experience contained in this report
     */
    public PerformanceReportItem getTotalPerformance() {
		return null;
	}
}
