/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2014 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.day.cq.analytics.testandtarget;

/**
 * The <tt>PerformanceReportItem</tt> is an entry in a {@link PerformanceReport}
 */
public class PerformanceReportItem {

    private String experienceName;
    private int entryCount;
    private int conversionCount;

    /**
     * Returns the name of the experience
     * 
     * @return the name of the experience, possibly <code>null</code> if this item represents the aggregated report data
     */
    public String getExperienceName() {
		return null;
	}

    public void setExperienceName(String experienceName) {
	}

    /**
     * @return the number of entries for this item
     */
    public int getEntryCount() {
		return 0;
	}

    public void setEntryCount(int entryCount) {
	}

    /**
     * 
     * @return the number of conversions for this item
     */
    public int getConversionCount() {
		return 0;
	}

    public void setConversionCount(int conversionCount) {
	}

}