/*
 * Copyright 1997-2011 Day Management AG
 * Barfuesserplatz 6, 4001 Basel, Switzerland
 * All Rights Reserved.
 *
 * This software is the confidential and proprietary information of
 * Day Management AG, ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Day.
 */
package com.day.cq.notification.api;

import org.osgi.service.event.Event;

/**
 * <code>NotificationProvider</code>...
 */
public interface NotificationProvider {

    /**
     * Create a <code>Notification</code> for the given channel based on the given event.
     *
     *
     * @param event         The event for which to get notifications
     * @param channelConfig The channel configuration.
     *
     * @return A notification.
     */
    public Notification getNotification(Event event, Channel channelConfig) {
		return null;
	}
}
