/*
 * Copyright 1997-2010 Day Management AG
 * Barfuesserplatz 6, 4001 Basel, Switzerland
 * All Rights Reserved.
 *
 * This software is the confidential and proprietary information of
 * Day Management AG, ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Day.
 */

package com.day.cq.personalization.tags;

import com.adobe.granite.xss.XSSAPI;
import com.day.cq.personalization.ClientContextUtil;
import org.apache.sling.api.SlingHttpServletRequest;
import org.apache.sling.api.scripting.SlingBindings;
import org.apache.sling.scripting.jsp.util.TagUtil;

import javax.servlet.jsp.JspException;
import javax.servlet.jsp.JspWriter;
import javax.servlet.jsp.PageContext;
import javax.servlet.jsp.tagext.TagSupport;
import java.io.IOException;

/**
 * Implements the <code>&lt;personalisation:contextProfileAvatar/&gt;</code> tag
 * AdobePatentID="B1393"
 */
public class ContextProfileAvatarTag extends TagSupport {

    private static final long serialVersionUID = -8276659679028145718L;

    private String avatarPath;
    private String defaultPath;
    private String store;
    private String avatarPropertyName;
    private String titlePropertyName;

    @Override
    public void setPageContext(PageContext pageContext) {
	}


    public void setAvatarPath(String avatarPath) {
	}

    public void setDefaultPath(String defaultPath) {
	}

    public void setStore(String store) {
	}

    public void setAvatarPropertyName(String avatarPropertyName) {
	}

    public void setTitlePropertyName(String titlePropertyName) {
	}

    @Override
    public int doEndTag() throws JspException {
		return 0;
	}

    String getScript(SlingHttpServletRequest request) {
		return null;
	}
}
