/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2011 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/

package com.day.cq.replication;

import java.util.Collection;

/**
 * <code>ListenerLogDelegator</code> implements a replication log that also
 * sends the messages to the listener
 */
public class ListenerLogDelegator implements ReplicationLog {

    private final ReplicationLog log;

    private final ReplicationListener listener;

    public ListenerLogDelegator(ReplicationLog log, ReplicationListener listener) {
        this.log = log;
        this.listener = listener == null ? ReplicationListener.NOP : listener;
    }

    public Level getLevel() {
		return null;
	}

    public void setLevel(Level level) {
	}

    public Collection<String> getLines() {
		return null;
	}

    public void debug(String message) {
	}

    public void debug(String fmt, Object... args) {
	}

    public void info(String message) {
	}

    public void info(String fmt, Object... args) {
	}

    public void warn(String message) {
	}

    public void warn(String fmt, Object... args) {
	}

    public void error(String message) {
	}

    public void error(String fmt, Object... args) {
	}
}