/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2011 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and may be covered by U.S. and Foreign Patents,
 * patents in process, and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.day.cq.searchpromote.xml.form;

import org.apache.sling.api.SlingHttpServletRequest;

import com.day.cq.searchpromote.Search;

public class SearchForm {
	
	private SlingHttpServletRequest request;
	
	private AutoComplete autocomplete;
	
	private Tnt tnt;
	
	private Form form;
	
	private String action;
	
	public SearchForm(SlingHttpServletRequest request, AutoComplete autocomplete, Tnt tnt, Form form) {
		this.request = request;
		this.autocomplete = autocomplete;
		this.tnt = tnt;
		this.form = form;
	}
	
	public SearchForm(AutoComplete autocomplete, Tnt tnt, Form form) {
		this(null, autocomplete, tnt, form);
	}
	
	/**
	 * Get {@link SlingHttpServletRequest}
	 * 
	 * @return
	 */
	public SlingHttpServletRequest getRequest() {
		return null;
	}
	
	/**
	 * Set {@link SlingHttpServletRequest}
	 * 
	 * @param request
	 */
	public void setRequest(SlingHttpServletRequest request) {
	}
	
	/**
	 * Returns the form action attribute.
	 * 
	 * @return
	 */
	public String getAction() {
		return null;
	}
	
	/**
	 * Sets the form action attribute.
	 * 
	 * @param action
	 */
	public void setAction(String action) {
	}

	/**
	 * Returns {@link AutoComplete} element.
	 * 
	 * @return AutoComplete or <code>null<code> if element is missing
	 */
	public AutoComplete getAutocomplete() {
		return null;
	}
	
	/**
	 * Returns {@link Tnt} element.
	 * 
	 * @return Tnt or <code>null</code> if element is missing
	 */
	public Tnt getTnt() {
		return null;
	}
	
	/**
	 * Returns {@link Form} element.
	 * 
	 * @return Form
	 */
	public Form getForm() {
		return null;
	}
	
	/**
	 * Prints out the form tag with contained input fields and the DIV elements
	 * for auto-completion and Adobe Target integration.
	 */
	public String toString() {
		return null;
	}
	
}
