/*
 * Copyright 1997-2009 Day Management AG
 * Barfuesserplatz 6, 4001 Basel, Switzerland
 * All Rights Reserved.
 *
 * This software is the confidential and proprietary information of
 * Day Management AG, ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Day.
 */
package com.day.cq.security;

import javax.jcr.Session;
import javax.jcr.AccessDeniedException;

/**
 * Create an {@link com.day.cq.security.AccountManager AccountManager} for a
 * given session
 * @see AccountManager
 */
public interface AccountManagerFactory {

    /**
     * @param session to create the AccountManager for
     * @return AccountManger
     * @throws AccessDeniedException in case the Session has not enough privileges
     *         to create an AccountManger
     */
    AccountManager createAccountManager(Session session) throws AccessDeniedException {
		return null;
	}

}
