/*
 * Copyright 1997-2008 Day Management AG
 * Barfuesserplatz 6, 4001 Basel, Switzerland
 * All Rights Reserved.
 *
 * This software is the confidential and proprietary information of
 * Day Management AG, ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Day.
 */
package com.day.cq.wcm.api.msm;

import java.util.Set;

/**
 * Defines a Live Copy configuration between a blueprint and its target.
 * It can be see as a configuration for a {@link  LiveRelationship}
 * @deprecated since 5.3 use {@link com.day.cq.wcm.msm.api.LiveCopy} instead 
 */
@Deprecated
public interface LiveCopy {

    /**
     * Returns the path of the Live Copy
     * For example: "/content/copy"
     *
     * @return livecopy path
     */
    String getPath() {
		return null;
	}

    /**
     * Returns the blueprint path of this Live Copy.
     * For example: "/content/geometrixx"
     *
     * @return the blueprint path
     */
    String getBlueprintPath() {
		return null;
	}

    /**
     * Returns the update trigger for this Live Copy
     * @return the trigger
     */
    RolloutManager.Trigger getTrigger() {
		return null;
	}

    /**
     * Returns if the Live Copy is deep
     * @return <code>true</code> if deep
     */
    boolean isDeep() {
		return false;
	}

    /**
     * Returns if the Live Copy is the root of a Live Copy tree
     * @return <code>true</code> if root
     */
    boolean isRoot() {
		return false;
	}

    /**
     * Returns the actions config of this relationship
     * @return the actions config
     */
    Set<ActionConfig> getActionsConfig() {
		return null;
	}

}