/*
 * Copyright 1997-2010 Day Management AG
 * Barfuesserplatz 6, 4001 Basel, Switzerland
 * All Rights Reserved.
 *
 * This software is the confidential and proprietary information of
 * Day Management AG, ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Day.
 */
package com.day.cq.wcm.core.components;

import java.io.IOException;
import java.io.PrintWriter;
import java.util.Map;

import org.apache.sling.commons.json.JSONException;
import org.apache.sling.commons.json.io.JSONWriter;

import com.day.cq.commons.JSONItem;
import com.day.cq.wcm.api.components.ComponentEditConfig;
import com.day.cq.wcm.api.components.DialogMode;
import com.day.cq.wcm.api.components.DropTarget;
import com.day.cq.wcm.api.components.EditConfig;
import com.day.cq.wcm.api.components.EditLayout;
import com.day.cq.wcm.api.components.InplaceEditingConfig;
import com.day.cq.wcm.api.components.Toolbar;
import com.day.cq.wcm.api.designer.Cell;
import com.day.cq.wcm.core.impl.components.EditConfigImpl;

/**
 * Helper class to create a edit config if not edit context is available.
 */
public class CustomEditConfig implements EditConfig {

    private EditConfigImpl base;

    public CustomEditConfig(ComponentEditConfig cfg) {
        this.base = new EditConfigImpl(cfg);
    }


    public void drawEditing(PrintWriter out,
                               String contentPath,
                               String resourceType,
                               String dlgPath,
                               Cell cell,
                               boolean isContainer)
            throws IOException {
			}

    public void setLayout(EditLayout layout) {
	}

    public void setInsertBehavior(String insertBehavior) {
	}

    public void setDialogMode(DialogMode mode) {
	}

    public void setInplaceEditingConfig(InplaceEditingConfig inplaceEditingConfig) {
	}

    public void setEmpty(boolean empty) {
	}

    public void setEmptyText(String emptyText) {
	}

    public void setOrderable(Boolean orderable) {
	}

    public void setDeepCancel(Boolean deepCancel) {
	}

    public void setLiveRelationship(JSONItem liveRelationship) {
	}

    public boolean isDefault() {
		return false;
	}

    public EditLayout getLayout() {
		return null;
	}

    public Map<String, DropTarget> getDropTargets() {
		return null;
	}

    public String getInsertBehavior() {
		return null;
	}

    public Toolbar getToolbar() {
		return null;
	}

    public DialogMode getDialogMode() {
		return null;
	}

    public InplaceEditingConfig getInplaceEditingConfig() {
		return null;
	}

    public boolean isEmpty() {
		return false;
	}

    public String getEmptyText() {
		return null;
	}

    public Boolean isOrderable() {
		return null;
	}

    public Map<String, String> getFormParameters() {
		return null;
	}

    public Map<String, String> getListeners() {
		return null;
	}

    public JSONItem getLiveRelationship() {
		return null;
	}

    public Boolean isDeepCancel() {
		return null;
	}

    public boolean isTargetingDisabled() {
		return false;
	}

    public void write(JSONWriter out) throws JSONException {
	}

    public Map<String, Object> getFormParameterMap() {
		return null;
	}
}