/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * ___________________
 *
 *  Copyright 2012 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.day.cq.wcm.designimporter;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.Iterator;
import java.util.List;

import javax.jcr.Node;
import javax.jcr.RepositoryException;
import javax.jcr.Session;

import org.apache.felix.scr.annotations.Component;
import org.apache.felix.scr.annotations.Reference;
import org.apache.felix.scr.annotations.Service;
import org.apache.sling.api.resource.NonExistingResource;
import org.apache.sling.api.resource.Resource;
import org.apache.sling.api.resource.ResourceResolver;
import org.apache.sling.api.resource.ResourceUtil;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import com.day.cq.replication.AccessDeniedException;
import com.day.cq.replication.DefaultAggregateHandler;
import com.day.cq.replication.ReplicationAction;
import com.day.cq.replication.ReplicationActionType;
import com.day.cq.replication.ReplicationException;
import com.day.cq.replication.ReplicationOptions;
import com.day.cq.replication.ReplicationStatus;
import com.day.cq.replication.Replicator;
import com.day.cq.wcm.api.NameConstants;
import com.day.cq.wcm.api.Page;
import com.day.cq.wcm.api.PageManager;
import com.day.cq.wcm.api.PageManagerFactory;
import com.day.cq.wcm.api.WCMException;

/**
 * Provides the implementation of interface {@link com.day.cq.wcm.designimporter.CanvasPageManager}.
 */
@Component
@Service(value = CanvasPageManager.class)
@Deprecated
public class CanvasPageManagerImpl implements CanvasPageManager {

    @Reference
    private Replicator replicator;

    @Reference
    private PageManagerFactory pageManagerFactory;

    /**
     * default logger
     */
    private static final Logger log = LoggerFactory.getLogger(CanvasPageManagerImpl.class);

    private static final String CANVAS_PAGE_RESOURCETYPE = "wcm/designimporter/components/canvaspage";

    private static final String MOBILE_CANVAS_PAGE_RESOURCETYPE = "wcm/designimporter/components/mobilecanvaspage";

    private PageManager getPageManager(ResourceResolver resolver) {
		return null;
	}

    /**
     * {@inheritDoc}
     */
    public void deleteCanvasPage(Page page) throws DesignImportException {
	}

    /**
     * {@inheritDoc}
     */
    public void deleteCanvasPage(Resource resource) throws DesignImportException {
	}

    /**
     * {@inheritDoc}
     */
    public void deleteCanvasPageArtifacts(Page page) throws DesignImportException {
	}

    /**
     * {@inheritDoc}
     */
    public void deleteCanvasPageArtifacts(Resource resource) throws DesignImportException {
	}

    private void deleteCanvasNode(Resource resource) throws DesignImportException {
	}

    private void deleteDesignNode(Resource resource) throws DesignImportException {
	}

    /*
     * Deletes the resource
     */
    private void deleteResource(Resource resource) throws DesignImportException {
	}

    /**
     * Implementation of an aggregate handler that simply deletes the page
     */
    private class CanvasPageAggregateHandler extends DefaultAggregateHandler {

        private int numDeleted;

        @Override
        public void processForReplication(Session session, ReplicationAction action) throws ReplicationException {
		}
    }

    /**
     * {@inheritDoc}
     */
    public Page getMobileVersion(Resource canvasPageResource) {
		return null;
	}

    /**
     * {@inheritDoc}
     */
    public Page getDesktopVersion(Resource mobileCanvasPageResource) {
		return null;
	}

    /**
     * {@inheritDoc}
     */
    public Page getMobileVersion(Page canvasPage) {
		return null;
	}

    /**
     * {@inheritDoc}
     */
    public Page getDesktopVersion(Page mobileCanvasPage) {
		return null;
	}

    /**
     * {@inheritDoc}
     */
    public Page getMobileVersion(ResourceResolver resolver, String canvasPagePath) {
		return null;
	}

    /**
     * {@inheritDoc}
     */
    public Page getDesktopVersion(ResourceResolver resolver, String mobileCanvasPagePath) {
		return null;
	}

    /**
     * {@inheritDoc}
     */
    public Page getCanvasPage(ResourceResolver resolver, String path) {
		return null;
	}

    /**
     * {@inheritDoc}
     */
    public boolean isCanvasPage(ResourceResolver resolver, String path) {
		return false;
	}

    /**
     * {@inheritDoc}
     */
    public boolean isCanvasPage(Page page) {
		return false;
	}

    /**
     * {@inheritDoc}
     */
    public boolean isCanvasPage(Resource resource) {
		return false;
	}

    /**
     * {@inheritDoc}
     */
    public boolean isMobileCanvasPage(ResourceResolver resolver, String canvasPagePath) {
		return false;
	}

    /**
     * {@inheritDoc}
     */
    public boolean isMobileCanvasPage(Page canvasPage) {
		return false;
	}

    /**
     * {@inheritDoc}
     */
    public boolean isMobileCanvasPage(Resource canvasPageResource) {
		return false;
	}

    /**
     * {@inheritDoc}
     */
    public boolean isDesktopCanvasPage(ResourceResolver resolver, String canvasPagePath) {
		return false;
	}

    /**
     * {@inheritDoc}
     */
    public boolean isDesktopCanvasPage(Page canvasPage) {
		return false;
	}

    /**
     * {@inheritDoc}
     */
    public boolean isDesktopCanvasPage(Resource canvasPageResource) {
		return false;
	}

}
