/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * ___________________
 *
 *  Copyright 2013 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.day.cq.wcm.offline;

/**
 * Represents a picture, consisting of <a href="http://tools.ietf.org/html/rfc2046">internet media type</a>
 * and a byte array.
 */
public interface Picture {

    /**
     * @return internet media type (can be <code>null</code> for unknown types)
     */
    public String getMediaType() {
		return null;
	}

    /**
     * @return content
     */
    public byte[] getBytes() {
		return null;
	}
}
