/*************************************************************************
*
* ADOBE CONFIDENTIAL
* ___________________
*
*  Copyright 2011 Adobe Systems Incorporated
*  All Rights Reserved.
*
* NOTICE:  All information contained herein is, and remains
* the property of Adobe Systems Incorporated and its suppliers,
* if any.  The intellectual and technical concepts contained
* herein are proprietary to Adobe Systems Incorporated and its
* suppliers and are protected by trade secret or copyright law.
* Dissemination of this information or reproduction of this material
* is strictly forbidden unless prior written permission is obtained
* from Adobe Systems Incorporated.
**************************************************************************/
package com.day.crx.packaging;

/**
 * <code>ProxyTracker</code>...
 */
public interface ProxyTracker {

    /**
     * Called when a status change happens
     * @param status the new status
     */
    void onStatus(String status) {
	}

    /**
     * Called when a transfer progress is recorded
     * @param progress current progress
     * @param max max to achieve
     */
    void onProgress(long progress, long max) {
	}
}