/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2011 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 *
 **************************************************************************/

package com.day.jcr.vault.fs.api;

import java.util.Iterator;
import java.util.NoSuchElementException;

/**
 * <code>ArtifactIterator</code>...
 *
 */
public interface ArtifactIterator extends Iterator {

    /**
     * Returns the next artifact in the iteration.
     *
     * @return the next artifact in the iteration.
     *
     * @throws NoSuchElementException iteration has no more artifacts.
     */
    public Artifact nextArtifact() throws NoSuchElementException {
		return null;
	}
}