/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2011 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 *
 **************************************************************************/

package com.day.jcr.vault.fs.api;

import java.io.InputStream;
import java.util.List;

/**
 * <code>VaultFsConfig</code>...
 */
public interface VaultFsConfig {
    
    InputStream getSource() {
		return null;
	}

    /**
     * Returns the source xml that constructs this filter
     * @return the source xml
     */
    String getSourceAsString() {
		return null;
	}

    List<Aggregator> getAggregators() {
		return null;
	}

    List<ArtifactHandler> getHandlers() {
		return null;
	}
}