/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2011 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 *
 **************************************************************************/

package com.day.jcr.vault.fs.io;

/**
 * <code>DocViewAnalyzerListener</code>...
 */
public interface DocViewAnalyzerListener {

    /**
     * Is called when the analyzer passes a node element.
     *
     * @param path the path of the node
     * @param intermediate <code>true</code> if intermediate node
     * @param nodeType the primary type of the node or <code>null</code> if empty.
     */
    void onNode(String path, boolean intermediate, String nodeType) {
	}
}