/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.apache.jackrabbit.spi.commons.value;

import org.apache.jackrabbit.spi.commons.conversion.NamePathResolver;
import org.apache.jackrabbit.spi.Name;
import org.apache.jackrabbit.spi.Path;
import org.apache.jackrabbit.spi.QValue;
import org.apache.jackrabbit.spi.QValueFactory;

import javax.jcr.RepositoryException;
import javax.jcr.PropertyType;
import javax.jcr.Value;
import javax.jcr.ValueFactory;
import java.io.IOException;
import java.util.List;
import java.util.ArrayList;

/**
 * <code>ValueFormat</code>...
 */
public class ValueFormat {

    /**
     *
     * @param jcrValue
     * @param resolver
     * @param factory
     * @return
     * @throws RepositoryException
     */
    public static QValue getQValue(Value jcrValue, NamePathResolver resolver,
                                   QValueFactory factory) throws RepositoryException {
									return null;
								}

    /**
     *
     * @param jcrValues
     * @param resolver
     * @param factory
     * @return
     * @throws RepositoryException
     */
    public static QValue[] getQValues(Value[] jcrValues,
                                      NamePathResolver resolver,
                                      QValueFactory factory) throws RepositoryException {
										return null;
									}

    /**
     *
     * @param jcrValue
     * @param propertyType
     * @param resolver
     * @param factory
     * @return
     * @throws RepositoryException
     */
    public static QValue getQValue(String jcrValue, int propertyType,
                                   NamePathResolver resolver,
                                   QValueFactory factory) throws RepositoryException {
									return null;
								}

    /**
     * @param value
     * @param resolver
     * @param factory
     * @return the JCR value created from the given <code>QValue</code>.
     * @throws RepositoryException
     */
    public static Value getJCRValue(QValue value,
                                    NamePathResolver resolver,
                                    ValueFactory factory) throws RepositoryException {
										return null;
									}

    /**
     * Returns the JCR string representation of the given <code>QValue</code>.
     * This method is a shortcut for
     * {@link #getJCRValue(QValue, NamePathResolver, ValueFactory)} followed by
     * {@link Value#getString()}.
     *
     * @param value
     * @param resolver
     * @return the JCR String representation for the given <code>QValue</code>.
     * @throws RepositoryException
     */
    public static String getJCRString(QValue value,
                                      NamePathResolver resolver) throws RepositoryException {
										return null;
									}
}
