/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
package org.apache.sling.atom.taglib.media;

import javax.servlet.ServletRequest;
import javax.servlet.jsp.JspException;

import org.apache.abdera.ext.media.MediaConstants;
import org.apache.abdera.ext.media.MediaContent;
import org.apache.abdera.ext.media.MediaGroup;
import org.apache.abdera.ext.media.MediaConstants.Expression;
import org.apache.abdera.ext.media.MediaConstants.Medium;
import org.apache.abdera.model.Entry;
import org.apache.sling.atom.taglib.AbstractAbderaHandler;

public class MediaContentTagHandler extends AbstractAbderaHandler {

    private static final long serialVersionUID = 1L;

    private String url;

    private long fileSize;

    private String type;

    private String medium;

    private String isDefault;

    private String expression;

    private int bitrate;

    private double samplingrate;

    private int framerate;

    private int channels;

    private int duration;

    private int height;

    private int width;

    @Override
    public int doEndTag() throws JspException {
		return 0;
	}

    @Override
    public int doStartTag() {
		return 0;
	}

    public String getUrl() {
		return null;
	}

    public void setUrl(String url) {
	}

    public long getFileSize() {
		return 0L;
	}

    public void setFileSize(long fileSize) {
	}

    public String getType() {
		return null;
	}

    public void setType(String type) {
	}

    public String getMedium() {
		return null;
	}

    public void setMedium(String medium) {
	}

    public String getIsDefault() {
		return null;
	}

    public void setIsDefault(String isDefault) {
	}

    public String getExpression() {
		return null;
	}

    public void setExpression(String expression) {
	}

    public int getBitrate() {
		return 0;
	}

    public void setBitrate(int bitrate) {
	}

    public double getSamplingrate() {
		return 0.0d;
	}

    public void setSamplingrate(double samplingrate) {
	}

    public int getFramerate() {
		return 0;
	}

    public void setFramerate(int framerate) {
	}

    public int getChannels() {
		return 0;
	}

    public void setChannels(int channels) {
	}

    public int getDuration() {
		return 0;
	}

    public void setDuration(int duration) {
	}

    public int getHeight() {
		return 0;
	}

    public void setHeight(int height) {
	}

    public int getWidth() {
		return 0;
	}

    public void setWidth(int width) {
	}

}
